@Beleriand

You are testing different Nvidia drivers, best use my script:

http://kanotix.com/files/install-nvidia-debian.sh

To install always the latest (177.80 currently) driver on every distro. I optimized the script that it should work without problems with 32+64 bit Ubuntu 8.10 (in case of 8.10 it has to enable multiverse too).